Package org.eclipse.cdt.core.dom.ast.c

## Interface ICPointerType

All Superinterfaces:
  `Cloneable`, `IPointerType`, `IType`

    public interface ICPointerType
    extends IPointerType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isRestrict()` is this a restrict pointer

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IPointerType

`getType, isConst, isVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### isRestrict

    boolean isRestrict()

is this a restrict pointer

Specified by:
  `isRestrict` in interface `IPointerType`